<?php

/**
 *
 * $Id: class.InstallerTemplateProcessor.php,v 1.1 2005/04/21 00:10:46 dgorski Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * @package     htdocs
 * @subpackage  setup
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @copyright   (C) Daniel T. Gorski, {@link http://www.develnet.org}
 * @license     http://www.gnu.org/licenses/gpl.html
 * @version     $Revision: 1.1 $
 *
 */

/**
 * Simple template class
 *
 * @package     htdocs
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @since       coWiki 0.4.0
 */
class InstallerTemplateProcessor {

    protected
        $aAssign  = array();

    // --------------------------------------------------------------------

    public function assign($sTag, $sContent) {
        $this->aAssign[$sTag] = $sContent;
    }

    // --------------------------------------------------------------------

    public function parse($sTplName) {
        $sFile = @join('', @file($sTplName));

        // Replace remaining constants
        $sFile = preg_replace_callback(
            '=\{%([A-Z0-9_]+)%\}=Us',
            array($this, 'processConstant'),
            $sFile
        );

        return $sFile;
    }

    // --------------------------------------------------------------------

    protected function processConstant(&$aMatches) {
        if (isset($this->aAssign[$aMatches[1]])) {
            return $this->aAssign[$aMatches[1]];
        }

        return '';
    }

} // of class

/*
    Sitting alone in the den
    Watching the eel
    Help me find my way home
    Watching the eel
    Burrows it's head in the sand
    Daylight has come
    There shall be rest in a while
    Daylight has come

    I can not repeal
    The words of the golden eel

    Who can explain all these thoughts
    Racking my mind
    An endless barrage of shit
    Racking my mind
    The eel offered his help
    I can't understand
    Speaking it's truth from the bank
    Now I can see

    I can not repeal
    The words of the golden eel
*/

?>