<?php

/**
 *
 * $Id: class.TaskInvitator.php,v 1.1 2005/04/21 00:17:14 dgorski Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * @package     htdocs
 * @subpackage  setup
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @copyright   (C) Daniel T. Gorski, {@link http://www.develnet.org}
 * @license     http://www.gnu.org/licenses/gpl.html
 * @version     $Revision: 1.1 $
 *
 */

/**
 * coWiki - Installer task class
 *
 * @package     htdocs
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @since       coWiki 0.4.0
 */
class TaskInvitator extends AbstractTask {

    public function __construct($Tpl) {
        parent::__construct($Tpl);
    }

    // --------------------------------------------------------------------

    public function isRequired() {
        return true;
    }

    // --------------------------------------------------------------------

    public function validate() {
        return true;
    }

    // --------------------------------------------------------------------

    public function render() {

        $sStr = '
            <table cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td>
                  This is the semi-automatic <b>'.COWIKI_FULL_IDENT.'</b>
                  setup wizard. It will help you to setup and initialize
                  your current coWiki installation on this machine.
                  <br/><br/>

                  Depending on your operating system and on the state of
                  your existing installation, you will be guided through
                  the procedure that is listed in the left sidebar.
                  <br/><br/>

                  Some of these tasks might be not necessary for your
                  installation and hence will be skipped. This is a normal
                  behaviour. Others might require your interaction
                  beyond the capability of this wizard, e.g. setting of
                  proper file permissions in your file system.
                  <br/><br/>

                  You will be warned if one of these tasks can not be
                  accomplished by the wizard due to its limited system
                  access. Then you will have to adjust settings or solve a
                  problem manually and continue the wizard subsequently.
                  <br/><br/>

                  If you encounter any serious problems or disaccords
                  during the setup process that harm your installation,
                  please contact the development team at <a target="_blank"
                  href="'.COWIKI_HOME.'">the official site</a>.
                </td>
              </tr>
            </table>
        ';

        if ($this->State->isUpdateSetup()) {
            $sStr .= '
                <br/>

                <table cellpadding="0" cellspacing="0" border="0">
                  <tr valign="top">
                    <td class="warn"><b>Warning:</b></td>
                    <td>&nbsp;&nbsp;</td>
                    <td class="warn">
                      The wizard might fail and destroy your
                      data and/or make your coWiki unusable. The wizard
                      (likewise the complete coWiki software) implies NO
                      WARRANTY of fitness.
                      <br/><br/>

                      TO BE SAFE, BACKUP <u>ALL YOUR DATA</u> AND YOUR
                      '.COWIKI_NAME.' <u>DATABASE TABLES</u> MANUALLY
                      <u>BEFORE</u> YOU PROCEED. AFTER THE WIZARD HAS BEEN
                      STARTED, IT IS NOT ABLE TO REVERT STRUCTURAL CHANGES.
                      DO NOT COMPLAIN IF SOMETHING WENT WRONG. YOU HAVE
                      BEEN WARNED.
                    </td>
                  </tr>
                </table>
            ';
        }

        // Define content
        $this->Tpl->assign('CONTENT', $sStr);

        // Define informational/warning/error messages
        $this->Tpl->assign('MESSAGE', $this->getMsgQueueFormatted());

        echo $this->Tpl->parse(SETUP_PATH.'/tpl/window.default.tpl');
    }

} // of class

/*
    Conditioned knowledge
    Arranged through screens
    Controlled emotions
    Aligned through dreams
    Repressed desires
    Maintained by fear
    Imprisoned faith
    No will to flee

    The order is issued
    Enforced by steel
    Compliance required
    The transfer begins
    Assembled and numbered
    Assigned to cells
    Injected and wired
    Reality fades

    We'll
    Program your minds
    Program your dreams
    We'll
    Program your lies
    Program your thoughts

    We'll
    program your thoughts
    program your lies
    program your dreams
    program your lies
    program your thoughts
    program your dreams
    program your thoughts
    program your lies

    Awake at last
    All thoughts are clear
    A strength is present
    The walls disappear
    You stand surrounded
    Feel no constraints
    New blood is flowing
    Through artificial veins

    The sky is burning blue again
    A blinding light protects the gray
    A stainless shield against the wind of change

    A rising grid expands beyond
    Converting stars to perfect form
    Above horizons merging into gray
*/

?>