<?php

/**
 *
 * $Id: class.TestReverseParser.php,v 1.3 2005/06/21 16:37:48 cmarble Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * @package     parse
 * @subpackage  class
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @copyright   (C) Daniel T. Gorski, {@link http://www.develnet.org}
 * @license     http://www.gnu.org/licenses/gpl.html
 * @version     $Revision: 1.3 $
 *
 */

/**
 * coWiki - coWiki reverse parser test class
 *
 * @package     parse
 * @subpackage  class
 * @access      public
 *
 * @author      Archie Campbell <cephalicmarble@blueyonder.co.uk>
 * @since       coWiki 0.4.0
 *
 * @todo        [D11N]  Complete documentation
 */
class TestReverseParser extends WikiReverseParser {
    protected
        $aWebList = array();

    /**
     * Get instance
     *
     * @access  public
     * @return  mixed
     *
     * @author  Archie Campbell <cephalicmarble@blueyonder.co.uk>
     * @since   coWiki 0.4.0
     */
    public function getInstance() {
        if (!self::$Instance) {
            self::$Instance = new TestReverseParser;
        }
        return self::$Instance;
    }

    /**
     * Class constructor
     *
     * @access  protected
     * @return  void
     *
     * @author  Archie Campbell <cephalicmarble@blueyonder.co.uk>
     * @since   coWiki 0.4.0
     */
    protected function __construct() {
    }

    /**
     * Build id ref link
     *
     * @access  protected
     * @param   array
     * @return  mixed
     *
     * @author  Archie Campbell <cephalicmarble@blueyonder.co.uk>
     * @since   coWiki 0.4.0
     */
    protected function buildIdRefLink(&$aMatches) {
        switch($aMatches[0]) {
            case 'square':
                return '['.'['.$aMatches[1].']['.$aMatches[2].']'.']';
            case 'round':
                return '('.'('.$aMatches[1].')('.$aMatches[2].')'.')';
            case 'camel':
                return $this->makeCamelCase( $aMatches[1] );
        }
    }

    /**
     * Build hyper ref link
     *
     * @access  protected
     * @param   array
     * @return  mixed
     *
     * @author  Archie Campbell <cephalicmarble@blueyonder.co.uk>
     * @since   coWiki 0.4.0
     */
    protected function buildHyperRefLink(&$aMatches) {
        if (trim($aMatches[2]) == '') {
            switch( $aMatches[0] ) {
                case 'square':
                    return '[[' . $aMatches[1] . ']]';
                case 'round':
                    return '((' . $aMatches[1] . '))';
                case 'camel':
                    return $this->makeCamelCase( $aMatches[1] );
            }
        }
        switch( $aMatches[0] ) {
            case 'square':
                return '[[' . $aMatches[1] . '][' . $aMatches[2] . ']]';
            case 'round':
                return '((' . $aMatches[1] . ')(' . $aMatches[2] . '))';
            case 'camel':
                return $this->makeCamelCase( $aMatches[1] );
        }
    }

} // of class

?>
