<?php
/**
 *
 * $Id: RunTests.php,v 1.7 2005/08/02 19:57:58 cmarble Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * <pre>
 * Helping hands: Archie Campbell <cephalicmarble@blueyonder.co.uk>
 * </pre>
 *
 * @author      Paul Hanchett <paulha@aracnet.com>
 * @copyright   (C) Paul Hanchett, 2005
 * @license     http://www.gnu.org/licenses/gpl.html
 * @version     $Revision: 1.7 $
 *
 */
//
require_once 'setup.php';

require_once 'class.ParserTest.php';

$suite = new PHPUnit_TestSuite();
$result = new PHPUnit_TestResult();
$result->addListener(new ConsoleListener);
//foo
$suite->addTestSuite(ParserBasicFormattingTest);

$suite->addTestSuite(ParserBoldAsteriskFormattingTest);
$suite->addTestSuite(ParserItalicSlashFormattingTest);
$suite->addTestSuite(ParserUnderlineUnderbarFormattingTest);

$suite->addTestSuite(ParserFixedwidthEqualsFormattingTest);
$suite->addTestSuite(ParserstrikeoutHyphenFormattingTest);

$suite->addTestSuite(ParserBoldTagFormattingTest);
$suite->addTestSuite(ParserItalicTagFormattingTest);
$suite->addTestSuite(ParserUnderlineTagFormattingTest);
$suite->addTestSuite(ParserFixedwidthTagFormattingTest);
$suite->addTestSuite(ParserStrikeoutTagFormattingTest);

$suite->addTestSuite(ParserSubscriptTagFormattingTest);
$suite->addTestSuite(ParserSuperscriptTagFormattingTest);

$suite->addTestSuite(ParserLeftJustifyTagFormattingTest);
$suite->addTestSuite(ParserCenterJustifyTagFormattingTest);
$suite->addTestSuite(ParserRightJustifyTagFormattingTest);

$suite->addTestSuite(ParserBadTagFormattingTest);

$suite->addTestSuite(ParserNoopTagFormattingTest);
$suite->addTestSuite(ParserRemTagFormattingTest);
$suite->addTestSuite(ParserCodeTagFormattingTest);
$suite->addTestSuite(ParserPreTagFormattingTest);

$suite->addTestSuite(ParserPostingTagFormattingTest);
$suite->addTestSuite(ParserQTagFormattingTest);

$suite->addTestSuite(ParserOtherProcessContentFormattingTest);
$suite->addTestSuite(ParserOtherParseFormattingTest);
//bar

//$suite->addTestSuite(ParserBlockFormattingTest);

$suite->run($result);

print $result->toString()."\n\n";
printf("--------------------------------------------------\n");
printf("  %d tests, passed=%d, failed=%d, errors=%d\n", sizeof($result->passedTests()) + $result->failureCount(), sizeof($result->passedTests()), $result->failureCount(), $result->errorCount());
printf("--------------------------------------------------\n");
?>
