<?php
/**
 *
 * $Id: setup.php,v 1.3 2005/05/10 11:57:47 cmarble Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * <pre>
 * Helping hands: Archie Campbell <cephalicmarble@blueyonder.co.uk>
 * </pre>
 *
 * @author      Paul Hanchett <paulha@aracnet.com>
 * @copyright   (C) Paul Hanchett, 2005
 * @license     http://www.gnu.org/licenses/gpl.html
 * @version     $Revision: 1.3 $
 *
 */


    // Load and set include path definition
    // alter relative paths to be reached from misc/development/tests
    // leave absolute paths
    $aPaths = explode(':',file_get_contents('../../../htdocs/include.path'));
    for ($i=0;$i<sizeof($aPaths);$i++){
	if (substr($aPaths[$i],0,2) == '..') {
	    $aPaths[$i] = "../../../htdocs/".$aPaths[$i];
	}
    }

    ini_set('include_path', 
	    ini_get('include_path').":".implode(':',$aPaths)
	    );
    
    //--------------------------------------------------------
    //  The ClassLoader is used to locate and load coWiki class files
    //--------------------------------------------------------
    include_once 'class/class.ClassLoader.php';
    
    //--------------------------------------------------------
    //  This function is called when PHP can't locate a class
    //--------------------------------------------------------
    function __autoload($sClass) {
        ClassLoader::getInstance()->load($sClass);
    }
    
    //  Some classes need functions defined here.  Go ahead and pre-load.
    include_once 'core.function.php';
    
    //  Preload the PHPUnit stuff too.
    require_once 'PHPUnit.php';

    //
    //  PHPUnit_TestResult only calls the start and end test callbacks.
    //  *Not* very useful...
    //
    class ConsoleListener extends PHPUnit_TestListener {
        function addError($test, $t) {
            // print "MyListener::addError() called.\n";
        }

        function addFailure($test, $t) {
            // print "MyListener::addFailure() called.\n";
        }
        
        function endTest($test) {
            // print "MyListener::endTest() called.\n";
        }
        
        function startTest($test) {
            // print "MyListener::startTest() called.\n";
        }
    }

?>

